首页 -> 安全研究

安全研究

安全漏洞
elfutils 拒绝服务安全漏洞(CVE-2019-7150)

发布日期:2019-01-29
更新日期:2019-01-30

受影响系统:
elfutils elfutils 0.175
描述:
CVE(CAN) ID: CVE-2019-7150

elfutils是一套用于读取、创建和修改ELF二进制文件的实用程序和库的集合。

elfutils 0.175版本,libelf/elf32_xlatetom.c中elf64_xlatetom函数中存在段错误安全漏洞,该漏洞源于dwfl_segment_report_module未检查dyn数据是否读取了全部的core文件数据。攻击者可借助特制的输入利用该漏洞造成拒绝服务。

<*来源:vendor
  *>

建议:
厂商补丁:

elfutils
--------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://sourceware.org/bugzilla/show_bug.cgi?id=24103

参考:
https://sourceware.org/ml/elfutils-devel/2019-q1/msg00070.html

浏览次数:4666
严重程度:0(网友投票)
本安全漏洞由绿盟科技翻译整理,版权所有,未经许可,不得转载
绿盟科技给您安全的保障